import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { Dex } from "./dex.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class DexService extends TypeOrmCrudService<Dex> {
    readonly repo: Repository<Dex>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<Dex>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Dex>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Dex[]>;
    createOneBy(params: DeepPartial<Dex>, manager?: EntityManager): Promise<Dex>;
    createAllBy(params: DeepPartial<Dex>[], manager?: EntityManager): Promise<Dex[]>;
    createAllIfNotExistBy(params: DeepPartial<Dex>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof Dex]?: any | FindOperator<Dex[K]>;
    }, set: {
        [K in keyof Dex]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
