import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { NFToken } from "./nf-token.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class NFTokenService extends TypeOrmCrudService<NFToken> {
    readonly repo: Repository<NFToken>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<NFToken>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFToken>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFToken[]>;
    createOneBy(params: DeepPartial<NFToken>, manager?: EntityManager): Promise<NFToken>;
    createAllBy(params: DeepPartial<NFToken>[], manager?: EntityManager): Promise<NFToken[]>;
    createAllIfNotExistBy(params: DeepPartial<NFToken>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof NFToken]?: any | FindOperator<NFToken[K]>;
    }, set: {
        [K in keyof NFToken]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
